Plantronics + Polycom. Now together as Poly Logo

SoundPoint IP 650 Upgrade to UC Software 4.0.x

SOLVED
zwar
Occasional Advisor

SoundPoint IP 650 Upgrade to UC Software 4.0.x

Hi!

 

I am following the manual Polycom UC Software 4.0.x Upgrade and Downgrade Methods for an upgrade on SoundPoint IP 650. As directed in the doc I downloaded the corresponding versions of BootRom upgrader and UC Software, specific for our device. BootRom upgrade completed successfuly, but UC Software not. The phone responds with an error:  file does not contain a compatible image. I tried UC Software release 4.0.1 split and combined and revision 4.0.2b split. Unfortunately nothing worked. The partnumber of the correct file is 2345-12600-001.

 

Any suggestions are welcome!

Message 1 of 17
1 ACCEPTED SOLUTION

Accepted Solutions
zwar
Occasional Advisor

Re: SoundPoint IP 650 Upgrade to UC Software 4.0.x

Btw. the procedure above was done with this two downloads in step 3 as well (results were the same):

 

And to be clear as possible in case of using the combined download sip.ld file (not 2345-12600-001.sip.ld) was used in step 4.

View solution in original post

Message 11 of 17
16 REPLIES 16
zwar
Occasional Advisor

Re: SoundPoint IP 650 Upgrade to UC Software 4.0.x

As a note the log file sais:

000015.200|cfg  |5|00|Error: file does not contain a compatible image
000015.200|cfg  |5|00|  Compatibility for image 0 is 0x400000


Message 2 of 17
SteffenBaierUK
Polycom Employee & Community Manager

Re: SoundPoint IP 650 Upgrade to UC Software 4.0.x

Hello zwar,

welcome to the Polycom Community.

Can you see that you are now running version 5.x.x of the Updater / Upgrader in your Log File?

 

EDIT: Once Updated the Version will show as 5.x.x

 

I am not aware of any issues preventing the upgrade and the only reason I can think of for this message would be you using a BETA Handset.

 

Ensure you unzip all files into one directory so the phone can load the Upgrader / Updater and also the ucs software.

 

Please work with your Polycom Reseller for further support if you still struggle.

Please ensure to provide some feedback if this reply has helped you so other users can profit from your experience.

Best Regards

Steffen Baier

Polycom Global Services

----------------
The title Polycom Employee & Community Manager is a community setting and does not reflect my role. I am just a simple volunteer in the community like everybody else. My official "day" Job is 3rd Level support at Poly but I am unable to provide official support via the community.

----------------

Notice: This community forum is not an official Poly support resource, thus responses from Poly employees, partners, and customers alike are best-effort in attempts to share learned knowledge. If you need immediate and/or official assistance please open a service ticket through your proper support channels.
Please also ensure you always check the VoIP , Video Endpoint , Skype for Business , PSTN or RPM FAQ's
Message 3 of 17
zwar
Occasional Advisor

Re: SoundPoint IP 650 Upgrade to UC Software 4.0.x

In the logs i got this:

000011.584|so   |*|00|Platform: BootBlock=3.0.2.0024 (12600-001) 30-Nov-10 15:01
000011.584|so   |*|00|Platform: Bootrom=4.3.1.0440 30-Jun-11 11:46

 

 

Message 4 of 17
zwar
Occasional Advisor

Re: SoundPoint IP 650 Upgrade to UC Software 4.0.x

Btw. there is no updater/upgrader ver 5.x.x among the downloads for the ip 650 ...

Message 5 of 17
SteffenBaierUK
Polycom Employee & Community Manager

Re: SoundPoint IP 650 Upgrade to UC Software 4.0.x


@zwar wrote:

In the logs i got this:

000011.584|so   |*|00|Platform: BootBlock=3.0.2.0024 (12600-001) 30-Nov-10 15:01
000011.584|so   |*|00|Platform: Bootrom=4.3.1.0440 30-Jun-11 11:46

 

 


Well,

 

your Phone did not load the Updater / Upgrader that can be found => here <=

 

It is clearly there to download:

 

Updater.png

 

Please ensure you follow the Instructions and place all relevant files into the directory as advised.

 

For further support please contact your Polycom Reseller.

 

Best Regards

 

Steffen Baier

----------------
The title Polycom Employee & Community Manager is a community setting and does not reflect my role. I am just a simple volunteer in the community like everybody else. My official "day" Job is 3rd Level support at Poly but I am unable to provide official support via the community.

----------------

Notice: This community forum is not an official Poly support resource, thus responses from Poly employees, partners, and customers alike are best-effort in attempts to share learned knowledge. If you need immediate and/or official assistance please open a service ticket through your proper support channels.
Please also ensure you always check the VoIP , Video Endpoint , Skype for Business , PSTN or RPM FAQ's
Message 6 of 17
zwar
Occasional Advisor

Re: SoundPoint IP 650 Upgrade to UC Software 4.0.x

I donwloaded the marked software: SoundPoint IP, SoundStation IP and Polycom VVX Upgrader 4.4.0B

 

And the version is 4.4.0 not 5.x.x. ?? or am i still missing something? And the log exceprt from above was logged after the successfull bootom installtion of the upgrader v 4.4.0B.

Message 7 of 17
zwar
Occasional Advisor

Re: SoundPoint IP 650 Upgrade to UC Software 4.0.x

Re bootrom upgrade: I can also provide appFlash log for you if ti helps....

 

Seriously i doubt a local reseller will know how to upgrade the phones and what specific issues each of the models has. Does Polycom really not have a better support than this?

Message 8 of 17
SteffenBaierUK
Polycom Employee & Community Manager

Re: SoundPoint IP 650 Upgrade to UC Software 4.0.x

Hello Zwar,

 

I had added a comment to my original reply. 

 

Your posted log clearly shows that the phone has not upgraded the BootROM to the Updater/Upgrader or it would be listed as running.

 

Once the Phone has loaded the Upgrader

 

For the SoundPoint IP Phones that can run UCS 4.x.x the 4.x.x Upgrader is needed

For the SoundStation IP Phones that can run UCS 4.x.x the 5.x.x Updater is needed

 

This is working and I am currently in the process to inform our documentation team that the instructions need an update.

 

Please be aware that your Reseller is your contact for the 1st Level support as this community is not a replacement for the Polycom Support process. If they are unable to help you they can raise a Support Ticket with Polycom.

 

This is clearly outlined in the FAQ => here <=

 

Mar 8, 2012 Question: What kind of support should I expect from the Community?
Clarification: Please check => here <=

 

Best Regards

 

Steffen Baier

----------------
The title Polycom Employee & Community Manager is a community setting and does not reflect my role. I am just a simple volunteer in the community like everybody else. My official "day" Job is 3rd Level support at Poly but I am unable to provide official support via the community.

----------------

Notice: This community forum is not an official Poly support resource, thus responses from Poly employees, partners, and customers alike are best-effort in attempts to share learned knowledge. If you need immediate and/or official assistance please open a service ticket through your proper support channels.
Please also ensure you always check the VoIP , Video Endpoint , Skype for Business , PSTN or RPM FAQ's
Message 9 of 17
zwar
Occasional Advisor

Re: SoundPoint IP 650 Upgrade to UC Software 4.0.x

OK, everything's good and fine, but the bottom line is:

1. I downloaded SoundPoint IP, SoundStation IP and Polycom VVX Upgrader 4.4.0B

2. Put the 2345-12600-001.bootrom (the partnumber is mentioned in the release notes of the ucs) to the provisioning server

3. I downloaded Polycom ® UC Software 4.0.2B for SoundPoint IP, SoundStation IP and Polycom VVX and SpectraLink 8400...

4. I put 2345-12600-001sip.ld to (the partnumber is mentioned in the release notes of the ucs) to the provisioning server.

5. I rebooted the phone

6. The phone displayed a message of successfully uploading my bootrom and created an appFlas.log

7. The phone sais file does not contain a compatible image after fetching and checking the sip.ld file

 

Btw. all this steps are taken from the doc mentioned in the first post.

 

Please tell me exactly which step was done wrong and what must be corrected.

Message 10 of 17